Page MenuHomePhabricator

New Service Request mobileapps
Closed, ResolvedPublic

Description

Description: https://www.mediawiki.org/wiki/Wikimedia_Apps/Team/RESTBase_services_for_apps

Timeline: We hope to get this deployed to an initial production environment by July 22, 2015, so we can run some initial performance tests. But I understand that Alex will be out for a while. So, early August would be fine, too. But please not too much later because I will be out of office for a couple of weeks myself in early September.

Diagram: https://www.mediawiki.org/wiki/Wikimedia_Apps/Team/RESTBase_services_for_apps#/media/File:RB-mobileapps-request-flow.png

Technologies: nodejs

Point person: @bearND
Backup: @Mholloway

Event Timeline

bearND created this task.Jul 10 2015, 6:09 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added subscribers: bearND, Dbrant.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 10 2015, 6:09 PM
bearND set Security to None.
bearND moved this task from Incoming to Tracking on the Mobile-Content-Service board.
Joe claimed this task.Jul 13 2015, 4:36 PM

I'll work on this given I'm oncall this week

Joe triaged this task as Normal priority.Jul 13 2015, 4:48 PM

Change 230780 had a related patch set uploaded (by Alexandros Kosiaris):
Introduce mobileapps.svc.eqiad.wmnet

https://gerrit.wikimedia.org/r/230780

Change 230788 had a related patch set uploaded (by Alexandros Kosiaris):
Introducing mobileapps role and puppet module

https://gerrit.wikimedia.org/r/230788

Change 230789 had a related patch set uploaded (by Alexandros Kosiaris):
Assign mobileapps service to sca cluster

https://gerrit.wikimedia.org/r/230789

Change 230790 had a related patch set uploaded (by Alexandros Kosiaris):
Setup LVS for mobileapps service on sca cluster

https://gerrit.wikimedia.org/r/230790

Change 230788 merged by Alexandros Kosiaris:
Introducing mobileapps role and puppet module

https://gerrit.wikimedia.org/r/230788

Change 231261 had a related patch set uploaded (by Alexandros Kosiaris):
Assign mobileapps service to scb cluster

https://gerrit.wikimedia.org/r/231261

Change 230789 abandoned by Alexandros Kosiaris:
Assign mobileapps service to sca cluster

Reason:
in favor of Ie56eabdffaa3434f8add07eee996b84f84b1f769

https://gerrit.wikimedia.org/r/230789

Change 231261 merged by Alexandros Kosiaris:
Assign mobileapps service to scb cluster

https://gerrit.wikimedia.org/r/231261

Change 230780 merged by Alexandros Kosiaris:
Introduce mobileapps.svc.eqiad.wmnet

https://gerrit.wikimedia.org/r/230780

akosiaris added a subscriber: akosiaris.

All changes merged, icinga is happy, ops part is done I think in deploying this. I suppose it's now up to restbase's code/documentation/confuguration/anything else I 've forgotten to be updated.

bearND updated the task description. (Show Details)Aug 19 2015, 3:48 PM
bearND added subscribers: Mholloway, Niedzielski.

Thank you. FYI, @Mholloway is going to be the backup contact for the times when I'm not available.

Joe closed this task as Resolved.Aug 20 2015, 10:35 AM
Joe reassigned this task from Joe to akosiaris.